//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Data/MasksQListView.h
//! @brief     Defines class MasksQListView.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_DATA_MASKSQLISTVIEW_H
#define BORNAGAIN_GUI_VIEW_DATA_MASKSQLISTVIEW_H

#include <QListView>

class MasksQModel;

//! List view to select one mask (left side of layer-oriented mask editor)
class MasksQListView : public QListView {
public:
    MasksQListView(MasksQModel*);
};

#endif // BORNAGAIN_GUI_VIEW_DATA_MASKSQLISTVIEW_H
